..
  SPDX-License-Identifier: BSD-3-Clause
  Copyright Contributors to the OpenEXR Project.

Rand32
######

.. code-block::

   #include <Imath/ImathRandom.h>
   
The ``Rand32`` class is a fast pseudo-random number generator that
generates a uniformly distributed sequence with a period length of
:math:`2^32`.

.. doxygenclass:: Imath::Rand32
   :undoc-members:
   :members:
